View .md

Audit Log endpoints (Admin API)

3 FeatherPanel Admin API endpoints from admin/audit-log.php: methods, paths, auth, permissions, rate limits, parameters and responses.

Last synced from FeatherPanel 15b94e9 on .

On this page

Defined in backend/app/routes/admin/audit-log.php. Authentication used here: Admin. Read Authentication for how to send credentials and Rate limits and errors for the response envelope.

Paths, methods, permissions and rate limits come from the route file. Summaries, parameters and response codes come from the OpenAPI annotations on the controllers; endpoints without annotations show only what the route file declares.

Endpoints

GET/api/admin/audit-log

Auth: AdminPermission: admin.users.listRoute name: admin-audit-logController: AuditLogController::indexroute source
curl -X GET "$PANEL_URL/api/admin/audit-log" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

GET/api/admin/audit-log/filters

Auth: AdminPermission: admin.users.listRoute name: admin-audit-log-filtersController: AuditLogController::filtersroute source
curl -X GET "$PANEL_URL/api/admin/audit-log/filters" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

GET/api/admin/audit-log/export

Auth: AdminPermission: admin.users.listRoute name: admin-audit-log-exportController: AuditLogController::exportroute source
curl -X GET "$PANEL_URL/api/admin/audit-log/export" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"